package collisionDetector.detector.reciever;

public class RawFrame {
  static private int MAX_PLANES = 1000;
  static private int MAX_SIGNS = 10 * MAX_PLANES;

  public final int[] lengths = new int[MAX_PLANES];
  public final byte[] callsigns = new byte[MAX_SIGNS];
  public final float[] positions = new float[3 * MAX_PLANES];
  public int planeCnt;

  void copy(final int[] lengths_, final byte[] signs_, final float[] positions_) {
      for (int i = 0, pos = 0, pos2 = 0, pos3 = 0, pos4 = 0; i < lengths_.length; i++) {
          lengths[pos++] = lengths_[i];
          positions[pos2++] = positions[3 * i];
          positions[pos2++] = positions[3 * i + 1];
          positions[pos2++] = positions[3 * i + 2];
          for (int j = 0; j < lengths_[i]; j++)
              callsigns[pos3++] = callsigns[pos4 + j];
          pos4 += lengths_[i];
      }
      planeCnt = lengths_.length;
  }
  
  float pos = 0;
  int len = 0;
  byte byt = 0;
  
//@ales
  public void print() {
        
  	System.out.print("Receiver print: ");
      for(int i=0 ;i<positions.length;i++) {
                System.out.print(positions[i]);
        }
      
        for(int i=0 ;i<callsigns.length;i++) {
                System.out.print(callsigns[i]);
        }
        System.out.println();
       
        

        for(int i=0 ;i<positions.length;i++) 
          pos += positions[i];
        
        
        for(int i=0 ;i<lengths.length;i++) 
          len += lengths[i];
        
        
        for(int i=0 ;i<callsigns.length;i++) 
          byt += callsigns[i];
        
        System.out.println("Runenr Frame count: " + pos + "---" + byt + " ___ " + len);
        System.out.println("plane cnt: " + planeCnt);
        
  }
  
  
  
}