package collisionDetector.main.interceptor;

import collisionDetector.main.dataStructures.Aircraft;
import collisionDetector.main.dataStructures.CallSign;
import collisionDetector.main.dataStructures.Vector3d;

public interface IStateTable {

	public void put(final CallSign callsign, final float x, final float y, final float z);
	
	public Vector3d getOldAirCraftPosition(Aircraft craft);
	
	public CallSign getCallSign(final byte[] cs);
	
	public void updatePosition(final CallSign callsign, final float x, final float y, final float z);
	
}
