package collisionDetector.command.evaluator.functions;
import collisionDetector.command.evaluator.*;
public class ArcCot extends Function
{
	public ArcCot(Expr inside)
	{
		super(inside);
	}
	public double getValue(double d, EvaluationContext ec)
	{
		return Math.atan(1/d);
	}
	public ComplexNumber getValue(ComplexNumber c, EvaluationContext ec)
	{
		throw new EvaluationException("Imaginary arguments are not supported for this function.");
	}
	public String getName() { return "Arccot"; }
	public Expr make(Expr e) { return new ArcCot(e); }

}
