package collisionDetector.main;



import javax.realtime.ImmortalMemory;
import javax.realtime.LTMemory;
import javax.realtime.MemoryArea;
import javax.realtime.PeriodicParameters;
import javax.realtime.PriorityParameters;
import javax.realtime.RealtimeThread;

import collisionDetector.detector.Detector;
import collisionDetector.detector.interfaces.IDetector;
import collisionDetector.main.data.Constants;
import collisionDetector.main.interceptor.DetectorInterceptor;
import collisionDetector.main.interfaces.IMyRunnerCallback;


/**
 * 
 * 
 * 
 * 
 * 
 * 
 * @author Ales
 *
 */
public class MyRunner extends RealtimeThread implements IMyRunnerCallback {

	public IDetector iDetector;
	
	
	public MyRunner(final PriorityParameters p, final PeriodicParameters q, final MemoryArea l) {
    super(p, q, null, l, null, null);
    //Imm.runner = this;
    // runnerImpl = new RunnerImpl(this);
    
   

  }
	
	
  public boolean stop;
	
  
  
  /**
   * 
   * 
   * 
   * 
   */
  public void run() {
   
    int loops = Constants.LOOPS;
  	int i=0;
    
  	try {
        
      while (i++<loops) {
        while (!RealtimeThread.waitForNextPeriod());
          
          iDetector.detect();
          
          //runnerImpl.run(cd, cdmem);
        }
    } catch (final Throwable t) {
        throw new Error(t);
    }
    report();
  }
  
  
  
  public void stopMyRunner() {
  	stop = true;
  	p("Stopping the runnable...");
  }
  
  
  public static void report () {
  	p("[Final report]");
  	p("\t" + ImmortalMemory.instance() + " consumed: " + ImmortalMemory.instance().memoryConsumed() + " remain: "
        + ImmortalMemory.instance().memoryRemaining());
  }
  
  public static void report(final MemoryArea outer, final MemoryArea inner) {
  	p("[Final report]");
  	p("\t" + ImmortalMemory.instance() + " consumed: " + ImmortalMemory.instance().memoryConsumed() + " remain: "
            + ImmortalMemory.instance().memoryRemaining());
    p("\t" + outer + " consumed: " + outer.memoryConsumed() + " remain: " + outer.memoryRemaining());
    p("\t" + inner + " consumed: " + inner.memoryConsumed() + " remain: " + inner.memoryRemaining());
  }
  
  public static void p(final String s) {
    System.out.println(s);
  }
  
  
}
