package collisionDetector.main;


import javax.realtime.LTMemory;
import javax.realtime.PeriodicParameters;
import javax.realtime.PriorityParameters;
import javax.realtime.RealtimeThread;
import javax.realtime.RelativeTime;

import collisionDetector.main.data.Constants;
import collisionDetector.simulator.SerializedFrame;

public class Start extends RealtimeThread {
	static public MyRunner runner;
  static final public long[] times = new long[10 * 1000];
  static public int pos;
  static public LTMemory mem;

  static public SerializedFrame[] frames;
  
  public Start(SerializedFrame[] fr) {
      super(new PriorityParameters(Constants.priority_));
      
      
      mem = new LTMemory(Constants.MEMSIZE, Constants.MEMSIZE);
      
      runner = new MyRunner(new PriorityParameters(Constants.PRIORITY), new PeriodicParameters(null,// start
          new RelativeTime(Constants.PERIOD, 0),// period
          null,// new RelativeTime(5,0),//cost
          null,// new RelativeTime(50,0),//deadline
          null, null), mem);
      
      frames = fr;
  }

 
  public void run() {
     	
  	runner.start();
  }
  
 
}
