package collisionDetector.main.data;

/**
 * All of our globally relevant constants.
 * @author Filip Pizlo
 */
public final class Constants {
    public static int NOISE_RATE = 0;
    public static final float MIN_X = 0.0f;
    public static final float MIN_Y = 0.0f;
    public static final float MAX_X = 1000.0f;
    public static final float MAX_Y = 1000.0f;
    public static final float MIN_Z = 0.0f;
    public static final float MAX_Z = 10.0f;
    public static final float PROXIMITY_RADIUS = 1.0f;
    public static final float GOOD_VOXEL_SIZE = PROXIMITY_RADIUS * 2.0f;
		
    public static int priority_ = 20;
    public static long MEMSIZE = 10 * 1000 * 1024;
    public static long PERIOD = 500;
    public static long CDMEM_SIZE = 10 * 1048576;
    public static int PRIORITY = priority_ + 1;
    public static int MAX_FRAMES = 2;  // 100
    
    
    public static final int LOOPS =  2;
    
}
